Package it.polito.appeal.traci

## Class TraCIException.UnexpectedResponse

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - it.polito.appeal.traci.TraCIException
        - - it.polito.appeal.traci.TraCIException.UnexpectedData
          - - it.polito.appeal.traci.TraCIException.UnexpectedResponse

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    TraCIException

      public static class TraCIException.UnexpectedResponse
      extends TraCIException.UnexpectedData

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class it.polito.appeal.traci.TraCIException

      `TraCIException.UnexpectedData, TraCIException.UnexpectedDatatype, TraCIException.UnexpectedResponse`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnexpectedResponse​(int expected, int got)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnexpectedResponse

          public UnexpectedResponse​(int expected,
                                    int got)